X-REF open

Hello,I know how I can edit my X-REF from within my live file. But how do I open an X-REF?Thanks again.

Comments

  • You probably refer to acad's XOPEN command, which prompts the user to select an entity belonging to the X-Ref that should be opened? XOPEN is not available in Bricscad V9, we plan to add it in the coming months.

  • Rui DiasIf you need an XOPEN command, you can use this lisp

    (DEFUN C:XOPEN () (VLA-ACTIVATE (VLA-OPEN (VLA-GET-DOCUMENTS (VLAX-GET-ACAD-OBJECT)) (VLAX-GET-PROPERTY (VLAX-ENAME->VLA-OBJECT (CAR (ENTSEL))) 'PATH))) (PRINC) )
  • Daniel,Thank you very much.Rui

  • Daniel,Works as expected, but I need to reload the application everytime I want to run it.Is there something I'm missing?Thanks,Rui

  • Hi,

    This is a great  fuction,

    But you can only use it for Saved Path (=> x:\drawing.dwg)!

    Need a solution for Found Path (=> .\drawing.dwg). 

     

    P.S. at 2008 = we plan to add it in the coming months.

    It is now 2010

     


  • A solution could be REFEDIT

  • You can prefix the DWGPREFIX variable if the path is relative. A modified version of the posted example that should work (with no error checks):

     

    ;;;============================================================================;;; Simple function to prefix DWGPATH on a relative path(defun abs-to-dwg-path ( path / )    (if (= "." (substr path 1 1))        (setq path             (strcat                 (getvar "DWGPREFIX")                 path))    )    path);;;============================================================================(DEFUN C:XOPEN ()     (VLA-ACTIVATE         (VLA-OPEN             (VLA-GET-DOCUMENTS                 (VLAX-GET-ACAD-OBJECT)            )            (abs-to-dwg-path                (VLAX-GET-PROPERTY                     (VLAX-ENAME->VLA-OBJECT                         (CAR (ENTSEL))                    )                    'PATH)                )            )        )     (PRINC) )

     

     

  • Yup, thank you

This discussion has been closed.